<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::RawTrackerHitData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_raw_tracker_hit_data.html">RawTrackerHitData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_raw_tracker_hit_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::RawTrackerHitData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_raw_tracker_hit_data_8h_source.html">RawTrackerHitData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad69e174d613076deb1a829e86c7c58d0"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_tracker_hit_data.html#ad69e174d613076deb1a829e86c7c58d0">cellID</a></td></tr>
<tr class="memdesc:ad69e174d613076deb1a829e86c7c58d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The detector specific (geometrical) cell id.  <a href="#ad69e174d613076deb1a829e86c7c58d0">More...</a><br /></td></tr>
<tr class="separator:ad69e174d613076deb1a829e86c7c58d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaa2a3f44399743384644b75c6df8292"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_tracker_hit_data.html#aaaa2a3f44399743384644b75c6df8292">time</a></td></tr>
<tr class="memdesc:aaaa2a3f44399743384644b75c6df8292"><td class="mdescLeft">&#160;</td><td class="mdescRight">tdc value.  <a href="#aaaa2a3f44399743384644b75c6df8292">More...</a><br /></td></tr>
<tr class="separator:aaaa2a3f44399743384644b75c6df8292"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5bd877fdc3399c1a4e7727e897b5ab8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_tracker_hit_data.html#ac5bd877fdc3399c1a4e7727e897b5ab8">charge</a></td></tr>
<tr class="memdesc:ac5bd877fdc3399c1a4e7727e897b5ab8"><td class="mdescLeft">&#160;</td><td class="mdescRight">adc value  <a href="#ac5bd877fdc3399c1a4e7727e897b5ab8">More...</a><br /></td></tr>
<tr class="separator:ac5bd877fdc3399c1a4e7727e897b5ab8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Raw (digitized) tracker hit </p><dl class="section author"><dt>Author</dt><dd>: W.Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_data_8h_source.html#l00014">14</a> of file <a class="el" href="_raw_tracker_hit_data_8h_source.html">RawTrackerHitData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="ad69e174d613076deb1a829e86c7c58d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad69e174d613076deb1a829e86c7c58d0">&#9670;&nbsp;</a></span>cellID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::RawTrackerHitData::cellID</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_data_8h_source.html#l00016">16</a> of file <a class="el" href="_raw_tracker_hit_data_8h_source.html">RawTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00048">eic::ConstRawTrackerHit::cellID()</a>, <a class="el" href="_raw_tracker_hit_8cc_source.html#l00050">eic::RawTrackerHit::cellID()</a>, <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00020">eic::ConstRawTrackerHit::ConstRawTrackerHit()</a>, and <a class="el" href="_raw_tracker_hit_8cc_source.html#l00020">eic::RawTrackerHit::RawTrackerHit()</a>.</p>

</div>
</div>
<a id="ac5bd877fdc3399c1a4e7727e897b5ab8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5bd877fdc3399c1a4e7727e897b5ab8">&#9670;&nbsp;</a></span>charge</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int eic::RawTrackerHitData::charge</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>adc value </p>

<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_data_8h_source.html#l00018">18</a> of file <a class="el" href="_raw_tracker_hit_data_8h_source.html">RawTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00050">eic::ConstRawTrackerHit::charge()</a>, <a class="el" href="_raw_tracker_hit_8cc_source.html#l00052">eic::RawTrackerHit::charge()</a>, <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00020">eic::ConstRawTrackerHit::ConstRawTrackerHit()</a>, and <a class="el" href="_raw_tracker_hit_8cc_source.html#l00020">eic::RawTrackerHit::RawTrackerHit()</a>.</p>

</div>
</div>
<a id="aaaa2a3f44399743384644b75c6df8292"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaa2a3f44399743384644b75c6df8292">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int eic::RawTrackerHitData::time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>tdc value. </p>

<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_data_8h_source.html#l00017">17</a> of file <a class="el" href="_raw_tracker_hit_data_8h_source.html">RawTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00020">eic::ConstRawTrackerHit::ConstRawTrackerHit()</a>, <a class="el" href="_raw_tracker_hit_8cc_source.html#l00020">eic::RawTrackerHit::RawTrackerHit()</a>, <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00049">eic::ConstRawTrackerHit::time()</a>, and <a class="el" href="_raw_tracker_hit_8cc_source.html#l00051">eic::RawTrackerHit::time()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_raw_tracker_hit_data_8h_source.html">RawTrackerHitData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
